import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';
import { TranslatorService } from '../../services/translator/translator.service';

@Component({
  selector: 'date-select',
  templateUrl: './date-select.component.html',
  styleUrls: ['./date-select.component.scss'],
})
export class DateSelectComponent implements OnInit {

  selectedDate: string;
  @Output() select = new EventEmitter<string>();
  @Input() title;
  constructor(public tr: TranslatorService) { }

  ngOnInit() {}

  public selectDate() {
    this.select.emit(this.selectedDate);
  }

}
